package com.goafanti.cognizance.bo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 年报详情主要信息
 */
public class AnnualReportMainBo {
	private String uid;
	
	private String unitName;
	
	private String orgCode;
	
	private Integer locationProvince;
	
	private Integer locationCity;
	
	private Integer locationArea;
	
	private Integer listed;
	
	private Date listedDate;
	
	private Integer listedType;
	
	private String stockCode;
	
	private Integer firmTotal;
	
	private Integer techTotal;
	
	private Integer newEmployment;
	
	private Integer graduateNumber;
	
	private BigDecimal salesRevenue;
	
	private BigDecimal grossProfit;
	
	private BigDecimal netAsset;
	
	private String certificateNumber;
	
	private Date issuingDate;
	
	private String contacts;
	
	private BigDecimal researchCost;
	
	private BigDecimal totalRevenue;
	
	private BigDecimal lastYearRevenue;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}


	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}
	
	public Integer getLocationCity() {
		return locationCity;
	}

	public void setLocationCity(Integer locationCity) {
		this.locationCity = locationCity;
	}
	
	public Integer getLocationArea() {
		return locationArea;
	}

	public void setLocationArea(Integer locationArea) {
		this.locationArea = locationArea;
	}

	public Integer getListed() {
		return listed;
	}

	public void setListed(Integer listed) {
		this.listed = listed;
	}

	public Date getListedDate() {
		return listedDate;
	}

	public void setListedDate(Date listedDate) {
		this.listedDate = listedDate;
	}

	public Integer getListedType() {
		return listedType;
	}

	public void setListedType(Integer listedType) {
		this.listedType = listedType;
	}

	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public Integer getFirmTotal() {
		return firmTotal;
	}

	public void setFirmTotal(Integer firmTotal) {
		this.firmTotal = firmTotal;
	}

	public Integer getTechTotal() {
		return techTotal;
	}

	public void setTechTotal(Integer techTotal) {
		this.techTotal = techTotal;
	}

	public Integer getNewEmployment() {
		return newEmployment;
	}

	public void setNewEmployment(Integer newEmployment) {
		this.newEmployment = newEmployment;
	}

	public Integer getGraduateNumber() {
		return graduateNumber;
	}

	public void setGraduateNumber(Integer graduateNumber) {
		this.graduateNumber = graduateNumber;
	}


	public BigDecimal getSalesRevenue() {
		return salesRevenue;
	}

	public void setSalesRevenue(BigDecimal salesRevenue) {
		this.salesRevenue = salesRevenue;
	}

	public BigDecimal getGrossProfit() {
		return grossProfit;
	}

	public void setGrossProfit(BigDecimal grossProfit) {
		this.grossProfit = grossProfit;
	}

	public BigDecimal getNetAsset() {
		return netAsset;
	}

	public void setNetAsset(BigDecimal netAsset) {
		this.netAsset = netAsset;
	}

	public String getCertificateNumber() {
		return certificateNumber;
	}

	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}

	public Date getIssuingDate() {
		return issuingDate;
	}

	public void setIssuingDate(Date issuingDate) {
		this.issuingDate = issuingDate;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public BigDecimal getResearchCost() {
		return researchCost;
	}

	public void setResearchCost(BigDecimal researchCost) {
		this.researchCost = researchCost;
	}

	public BigDecimal getTotalRevenue() {
		return totalRevenue;
	}

	public void setTotalRevenue(BigDecimal totalRevenue) {
		this.totalRevenue = totalRevenue;
	}

	public BigDecimal getLastYearRevenue() {
		return lastYearRevenue;
	}

	public void setLastYearRevenue(BigDecimal lastYearRevenue) {
		this.lastYearRevenue = lastYearRevenue;
	}
	
	
}
